Description: Bonjour, Bonne année et merci pour votre sur ce logiciel formidable :-)

sur plusieurs Fichiers.tex, j'ai des erreurs de notation des questions à Multiréponses, à priori aléatoires. 

Je joins 2 copies corrigées et les 2 fichiers.tex concernés . 
Le barème est:
% Barème Multiréponses: e RepIncohérente:-1, b RepBonne:1, m RepMauvaise:-0.5, v PasRéponse:0
\baremeDefautM{e=-1,b=1,m=-0.5,v=0}
%Barème Une réponse: 
\baremeDefautS{e=-1,b=1,m=0,v=0}

Il me semblait que la formule de calcul pour questions Multiréponses est avec le barème ci-dessus:
{formula= NBC/NB - 0.5*NMC, e=-1, v=0};  Note= ( NBC NbBonnesCasesCochées /NbBonneRep 
-0.5*NbMauvaisesCasesCochées ) * NbCasesÀcocherSaufAucuneRéponse(NC)

Je pensais aussi à cette formule; Note = [(NBC-0.5*NMC)/NB]*NC

Sur la copie 0029 de QcmSntWeb.tex :
Q5: Annotée 2.5/7 ; J'aurais noté: [(1-0.5*1)/3)]*7≃ -1.16 arrondi à +0.5 donc Note=-1/7 => Faute ? 
Q6: Annotée 1/4 ; J'aurais noté: [(1-0.5)/2]*4≃1 arrondi à +0.5 donc Note=1/4 => OK ? 
Q7: Annotée 3/9 ; J'aurais noté: [(1-0.5)/5]*9≃0.9 arrondi à +0.5 donc Note=1/9 => Faute ? 

Il y a aussi des questions sous notées Copie 0024 de QcmSNT_InternetQmelang.tex:

Q4: Annotée 1.5/6 ; J'aurais noté: [(2-2*0.5)/3]*6≃2 donc Note=2/6 => Faute ?

Ai-je mal compris ? 

Cordialement. 

History
01/07/2024 09:17 pm - Frédéric Bréal
Bonsoir,
Il n'y a pas les fichiers pdf pour comparer vos calculs.
La variable NC n'existe pas, il faut la calculer avec (N-NBC).
L'erreur classique avec les questions multiples, chaque réponse rapportent des points (positifs ou négatifs).
*Une bonne réponse cochée apporte b points et une mauvaise réponse non cochée apporte b points.
Une mauvaise réponse cochée apporte m points et une bonne réponse non cochée apporte m points.*

Si je prend votre question PaqTcp7 en exemple  :
— 1 NBC sur 2 NB et 2 NMC sur 3 NM : 1 -0.5  et -0.5 -0.5 +1 = 0.5 /5
— 1 NC et 1 NMC : 1 -0.5 -0.5 et -0.5 +1 = 2/5
Bonsoir et merci pour cette réponse rapide et concluante:

#  J'ai transmis 4 fichiers Les 2 Fichiers.tex cités et les 2 Fichiers.pdf des copies annotées comme cité dans mon message;
Apparemment, Un seul fichier est passé problème de taille max des posts ? 
# Votre calcul me montre que je rapportais NMC à NB et non à NMC, ce qui n'est pas logique !!

Merci encore

01/07/2024 10:29 pm - Alexis Bienvenüe
- Status changed from New to Resolved

- % Done changed from 0 to 100

01/07/2024 10:29 pm - Alexis Bienvenüe
- Tracker changed from Bug to Support

01/08/2024 09:27 pm - Frédéric Bréal
Bravo d'avoir compris car mon second exemple est faux (passé une certaine heure, je divague).
1 NBC sur 2 NB et 1 NMC sur 3 NM = +1 - 0.5 et -0.5 +1 +1 = 2/5

01/08/2024 09:37 pm - JEAN LOUIS DOMEC
Bravo surtout à vous les développeurs et mainteneurs de ce fameux logiciel libre. 

Oui, j'ai suivi la règle que vous donnez 
_Une bonne réponse cochée apporte b points et une mauvaise réponse non cochée apporte b points.
Une mauvaise réponse cochée apporte m points et une bonne réponse non cochée apporte m points._**

et vérifié sur la doc que je n'avais pas bien consultée :-)

Je ne donnais pas de points lorsqu'on avait évité de cocher les mauvaises cases ! 
Je ramenais tout à NB !!
Sans compter les erreurs de calcul. C'est pour ça qu'il y a des machines. 

Comme quoi, sans un avis extérieur, parfois on tourne en rond :-) 

Merci encore
